//============================================================================
// FILE: C_Criterion.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête de la classe des critères
// 
// AUTHORS: Slougui (INRA/UBIA, Toulouse)
// REFERENCE : "Fondements ontologiques des systèmes pilotés"
//             R. Martin-Clouaire, J.-P. Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _C_CRITERION_HH
#define _C_CRITERION_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "C_CoreTypes.h"

 
/**@name Les critères de décision
\label{classeOperation}
\begin{itemize} \item Directive d'inclusion : {\tt \#include C\_Criterion.h} \end{itemize}

Un critère est
*/
//@{   // fermeture dans C_CoreCriterion.h

//----------------------------------------------------------------------------
// CRITERION
//----------------------------------------------------------------------------
/**@name Les critères considérés isolément */
//@{

/**@name La classe de base */
//@{
          ///
class Criterion : public Entity 
{
public:

/**@name LIFECYCLE */
//@{ 
           /// Constructeur de base.
  Criterion();  // _no swig_
      
//@}
  
/**@name ACCESS */
//@{

//@}
     
/**@name OPERATIONS */
//@{  

//@} 

protected :

}; // _end class_

//@}

/**@name Fonctions */
//@{
          /// Calcul standard de la valeur d'un critère.
float standardCriterion_getCriterionValue_Body(EntityMethod*);

//@}


//----------------------------------------------------------------------------
// GOAL_CRITERION
//----------------------------------------------------------------------------

/**@name Les critères dépendant d'un but */
//@{
          ///
class GoalCriterion : public Criterion
{
public:

/**@name LIFECYCLE */
//@{ 
           /// Constructeur de base.
  GoalCriterion();  // _no swig_
      
//@}
  
/**@name ACCESS */
//@{

//@}
     
/**@name OPERATIONS */
//@{  

//@} 

protected :

}; // _end class_

//@} 

//@} // fin critères isolés



#endif  // _C_CRITERION_HH

