
Entity BasicEntity {
	ClassSymbol		: BD_BASIC_ENTITY
	ClassName		: basicEntity
}
Entity DescriptedEntity {
	ClassSymbol		: BD_DESCRIPTED_ENTITY
	ClassName		: descriptedEntity
	SetParentClassId	: BD_BASIC_ENTITY

	AddConstantDescriptor	: InstantAttribute   ---

	AddVariableDescriptor	: CurrentElementIndex   ---
}
Entity Entity {
	ClassSymbol		: BD_ENTITY
	ClassName		: entity
	SetParentClassId	: BD_DESCRIPTED_ENTITY
}
Entity Activity {
	ClassSymbol		: ACTIVITY
	ClassName		: activity
	SetParentClassId	: BD_ENTITY

	AddVariableDescriptor	: BegDate   ---
	AddVariableDescriptor	: MinBegDate   ---
	AddVariableDescriptor	: MaxBegDate   ---
	AddVariableDescriptor	: EndDate   ---
	AddVariableDescriptor	: MinEndDate   ---
	AddVariableDescriptor	: MaxEndDate   ---
	AddVariableDescriptor	: Situation   ---

	AddMethod		: OpeningPredicate
	AddMethod		: ClosingPredicate
	AddMethod		: MinBegStatePredicate
	AddMethod		: MaxBegStatePredicate
}
Entity PrimitiveActivity {
	ClassSymbol		: PRIMITIVE_ACTIVITY
	ClassName		: primitiveActivity
	SetParentClassId	: ACTIVITY

	AddConstantDescriptor	: AllocationPriorityDegree   ---

	AddVariableDescriptor	: OperatedObjectSpecAttribute   ---
	AddVariableDescriptor	: OperationSpecAttribute   ---
	AddVariableDescriptor	: OperationClassId   ---
	AddVariableDescriptor	: OperationClassName   ---
	AddVariableDescriptor	: PerformerSpecAttribute   ---
	AddVariableDescriptor	: GoalList   ---

	AddMethod		: SetUserOperationName
}
Entity TransferActivity {
	ClassSymbol		: TRANSFER_ACTIVITY
	ClassName		: transferActivity
	SetParentClassId	: PRIMITIVE_ACTIVITY

	AddVariableDescriptor	: DestinationSpecAttribute   ---
	AddVariableDescriptor	: TransferInformationAttribute   ---
}
Entity NonPrimitiveActivity {
	ClassSymbol		: NON_PRIMITIVE_ACTIVITY
	ClassName		: nonPrimitiveActivity
	SetParentClassId	: ACTIVITY
}
Entity ActivityEquality {
	ClassSymbol		: ACTIVITY_EQUALITY
	ClassName		: activityEquality
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityBefore {
	ClassSymbol		: ACTIVITY_BEFORE
	ClassName		: activityBefore
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddVariableDescriptor	: OpenToOpenDelays   ---
	AddVariableDescriptor	: CloseToOpenDelays   ---

	AddMethod		: UpdateNextWhenSonOpen
	AddMethod		: UpdateNextWhenSonClosed
	AddMethod		: ModifyInOpenSituation
}
Entity ActivityMeeting {
	ClassSymbol		: ACTIVITY_MEETING
	ClassName		: activityMeeting
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityOverlapping {
	ClassSymbol		: ACTIVITY_OVERLAPPING
	ClassName		: activityOverlapping
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddVariableDescriptor	: OpenToOpenDelays   ---
	AddVariableDescriptor	: OpenToCloseDelays   ---
	AddVariableDescriptor	: CloseToCloseDelays   ---

	AddMethod		: UpdateNextWhenSonOpen
	AddMethod		: UpdatePrevWhenSonOpen
	AddMethod		: UpdateNextWhenSonClosed
	AddMethod		: ModifyInOpenSituation
}
Entity ActivityInclusion {
	ClassSymbol		: ACTIVITY_INCLUSION
	ClassName		: activityInclusion
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddVariableDescriptor	: OpenToOpenDelays   ---
	AddVariableDescriptor	: CloseToCloseDelays   ---

	AddMethod		: UpdateNextWhenSonOpen
	AddMethod		: UpdatePrevWhenSonClosed
	AddMethod		: ModifyInOpenSituation
}
Entity ActivityCostarting {
	ClassSymbol		: ACTIVITY_COSTARTING
	ClassName		: activityCostarting
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityCoending {
	ClassSymbol		: ACTIVITY_COENDING
	ClassName		: activityCoending
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityDisjunction {
	ClassSymbol		: ACTIVITY_DISJUNCTION
	ClassName		: activityDisjunction
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityConjunction {
	ClassSymbol		: ACTIVITY_CONJUNCTION
	ClassName		: activityConjunction
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddMethod		: ModifyInOpenSituation
}
Entity ActivityIteration {
	ClassSymbol		: ACTIVITY_ITERATION
	ClassName		: activityIteration
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddVariableDescriptor	: OpenToOpenDelays   ---
	AddVariableDescriptor	: CloseToOpenDelays   ---
	AddVariableDescriptor	: MinNumberOfReplications   ---
	AddVariableDescriptor	: MaxNumberOfReplications   ---
	AddVariableDescriptor	: ReplicationCounter   ---

	AddMethod		: UpdateReactivatedSon
}
Entity ActivityOptional {
	ClassSymbol		: ACTIVITY_OPTIONAL
	ClassName		: activityOptional
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY

	AddConstantDescriptor	: IsOneShot   ---
}
Entity ActivityRequired {
	ClassSymbol		: ACTIVITY_REQUIRED
	ClassName		: activityRequired
	SetParentClassId	: NON_PRIMITIVE_ACTIVITY
}
Entity ActivitySet {
	ClassSymbol		: @
	ClassName		: activitySet
	SetParentClassId	: BD_ENTITY
}
Entity InstructionSet {
	ClassSymbol		: @
	ClassName		: instructionSet
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: ObjectSetType   ---
}
Entity ResourceSet {
	ClassSymbol		: RESOURCE_SET
	ClassName		: resourceSet
	SetParentClassId	: BD_ENTITY
}
Entity ResourcePoolDisjunction {
	ClassSymbol		: RESOURCE_POOL_DISJUNCTION
	ClassName		: resourcePoolDisjunction
	SetParentClassId	: RESOURCE_SET
}
Entity ResourcePoolConjunction {
	ClassSymbol		: RESOURCE_POOL_CONJUNCTION
	ClassName		: resourcePoolConjunction
	SetParentClassId	: RESOURCE_SET
}
Entity MultipleResourcePool {
	ClassSymbol		: MULTIPLE_RESOURCE_POOL
	ClassName		: multipleResourcePool
	SetParentClassId	: RESOURCE_POOL_CONJUNCTION
}
Entity SimpleResourcePool {
	ClassSymbol		: SIMPLE_RESOURCE_POOL
	ClassName		: simpleResourcePool
	SetParentClassId	: RESOURCE_POOL_CONJUNCTION
}
Entity OperatedObjectSpecification {
	ClassSymbol		: OPERATED_OBJECT_SPECIFICATION
	ClassName		: operatedObjectSpecification
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: ObjectEntitySpecAttribute   ---
	AddConstantDescriptor	: ContinuationMode   ---
	AddConstantDescriptor	: SelectorFctId   ---
	AddConstantDescriptor	: SelectorFctArg   ---

	AddVariableDescriptor	: EntitySpecReferenceClassId   ---
	AddVariableDescriptor	: EntitySpecReferenceClassName   ---
	AddVariableDescriptor	: EntitySpecReferentEntity   ---
	AddVariableDescriptor	: PreExpandedList   ---
}
Entity OperationSpecification {
	ClassSymbol		: OPERATION_SPECIFICATION
	ClassName		: operationSpecification
	SetParentClassId	: BD_ENTITY

	AddVariableDescriptor	: DeveloppedList   ---
	AddVariableDescriptor	: RequiredResources   ---
	AddVariableDescriptor	: OperationClassId   ---
	AddVariableDescriptor	: OperationClassName   ---
}
Entity PerformerSpecification {
	ClassSymbol		: PERFORMER_SPECIFICATION
	ClassName		: performerSpecification
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: PerformerEntitySpecAttribute   ---
	AddConstantDescriptor	: ContinuationMode   ---
	AddConstantDescriptor	: SelectorFctId   ---
	AddConstantDescriptor	: SelectorFctArg   ---

	AddVariableDescriptor	: EntitySpecReferenceClassId   ---
	AddVariableDescriptor	: EntitySpecReferenceClassName   ---
	AddVariableDescriptor	: PreExpandedList   ---
}
Entity OperationResourceSpecification {
	ClassSymbol		: OPERATION_RESOURCE_SPECIFICATION
	ClassName		: operationResourceSpecification
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: ResourceEntitySpecAttribute   ---
	AddConstantDescriptor	: ContinuationMode   ---
	AddConstantDescriptor	: SelectorFctId   ---
	AddConstantDescriptor	: SelectorFctArg   ---
	AddConstantDescriptor	: ProportionalityMode   ---

	AddVariableDescriptor	: EntitySpecReferenceClassId   ---
	AddVariableDescriptor	: EntitySpecReferenceClassName   ---
	AddVariableDescriptor	: PreExpandedList   ---
}
Entity TransferInformation {
	ClassSymbol		: TRANSFER_INFORMATION
	ClassName		: transferInformation
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: TransferQuantityId   ---
	AddConstantDescriptor	: TransferQuantityOption   ---
	AddConstantDescriptor	: TransferQuantityIntValue   ---
	AddConstantDescriptor	: TransferQuantityFloatValue   ---
	AddConstantDescriptor	: DistributionMode   ---
	AddConstantDescriptor	: AttachedEntity   ---

	AddMethod		: SetUserTransferedIntQuantity
	AddMethod		: SetUserTransferedFloatQuantity
}
Entity Operation {
	ClassSymbol		: OPERATION
	ClassName		: operation
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: OperatedEntityId   ---
	AddConstantDescriptor	: Step   ---
	AddConstantDescriptor	: SuspensionThreshold   ---
	AddConstantDescriptor	: PriorityDegree   ---

	AddVariableDescriptor	: RequiredResources   ---
	AddVariableDescriptor	: AchievementDegree   ---
	AddVariableDescriptor	: ActivityClosingThreshold   ---

	AddMethod		: StateTransitionProcedure
	AddMethod		: FeasibilityCondition
	AddMethod		: SetUserStep
}
Entity UnitGranulatedOperation {
	ClassSymbol		: UNIT_GRANULATED_OPERATION
	ClassName		: unitGranulatedOperation
	SetParentClassId	: OPERATION

	AddConstantDescriptor	: UnitSpeed   ---

	AddMethod		: SetUserUnitSpeed
}
Entity IntQuantityGranulatedOperation {
	ClassSymbol		: INT_QUANTITY_GRANULATED_OPERATION
	ClassName		: intQuantityGranulatedOperation
	SetParentClassId	: OPERATION

	AddConstantDescriptor	: QuantityDescriptorId   ---
	AddConstantDescriptor	: IntQuantitySpeed   ---

	AddMethod		: SetUserIntQuantitySpeed
}
Entity FloatQuantityGranulatedOperation {
	ClassSymbol		: FLOAT_QUANTITY_GRANULATED_OPERATION
	ClassName		: floatQuantityGranulatedOperation
	SetParentClassId	: OPERATION

	AddConstantDescriptor	: QuantityDescriptorId   ---
	AddConstantDescriptor	: FloatQuantitySpeed   ---

	AddMethod		: SetUserFloatQuantitySpeed
}
Entity TimeGranulatedOperation {
	ClassSymbol		: TIME_GRANULATED_OPERATION
	ClassName		: timeGranulatedOperation
	SetParentClassId	: OPERATION

	AddConstantDescriptor	: TimeSpeed   ---

	AddMethod		: SetUserTimeSpeed
}
Entity UnitGranulatedTransferOperation {
	ClassSymbol		: UNIT_GRANULATED_TRANSFER_OPERATION
	ClassName		: unitGranulatedTransferOperation
	SetParentClassId	: UNIT_GRANULATED_OPERATION
}
Entity IntQuantityGranulatedTransferOperation {
	ClassSymbol		: INT_QUANTITY_GRANULATED_TRANSFER_OPERATION
	ClassName		: intQuantityGranulatedTransferOperation
	SetParentClassId	: INT_QUANTITY_GRANULATED_OPERATION
}
Entity FloatQuantityGranulatedTransferOperation {
	ClassSymbol		: FLOAT_QUANTITY_GRANULATED_TRANSFER_OPERATION
	ClassName		: floatQuantityGranulatedTransferOperation
	SetParentClassId	: FLOAT_QUANTITY_GRANULATED_OPERATION
}
Entity Resource {
	ClassSymbol		: RESOURCE
	ClassName		: resource
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: IsPermanent   ---

	AddVariableDescriptor	: AvailabilityStatus   ---
}
Entity HomogeneousAggregatedResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_RESOURCE
	ClassName		: homogeneousAggregatedResource
	SetParentClassId	: RESOURCE
}
Entity HomogeneousAggregatedDiscreteStateResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_RESOURCE
	ClassName		: homogeneousAggregatedDiscreteStateResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_RESOURCE
}
Entity HomogeneousAggregatedDiscreteStateReusableResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_REUSABLE_RESOURCE
	ClassName		: homogeneousAggregatedDiscreteStateReusableResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_RESOURCE
}
Entity HomogeneousAggregatedDiscreteStateConsumableResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_CONSUMABLE_RESOURCE
	ClassName		: homogeneousAggregatedDiscreteStateConsumableResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_RESOURCE
}
Entity HomogeneousAggregatedCapacitatedResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_CAPACITATED_RESOURCE
	ClassName		: homogeneousAggregatedCapacitatedResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_RESOURCE
}
Entity HomogeneousAggregatedCapacitatedReusableResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_CAPACITATED_REUSABLE_RESOURCE
	ClassName		: homogeneousAggregatedCapacitatedReusableResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_CAPACITATED_RESOURCE
}
Entity HomogeneousAggregatedCapacitatedConsumableResource {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_CAPACITATED_CONSUMABLE_RESOURCE
	ClassName		: homogeneousAggregatedCapacitatedConsumableResource
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_CAPACITATED_RESOURCE
}
Entity HomogeneousAggregatedPerformer {
	ClassSymbol		: HOMOGENEOUS_AGGREGATED_PERFORMER
	ClassName		: homogeneousAggregatedPerformer
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_DISCRETE_STATE_REUSABLE_RESOURCE

	AddVariableDescriptor	: Power   ---
}
Entity HomogeneousLaborTeam {
	ClassSymbol		: HOMOGENEOUS_LABOR_TEAM
	ClassName		: homogeneousLaborTeam
	SetParentClassId	: HOMOGENEOUS_AGGREGATED_PERFORMER
}
Entity HeterogeneousAggregatedResource {
	ClassSymbol		: HETEROGENEOUS_AGGREGATED_RESOURCE
	ClassName		: heterogeneousAggregatedResource
	SetParentClassId	: RESOURCE
}
Entity HeterogeneousAggregatedPerformer {
	ClassSymbol		: HETEROGENEOUS_AGGREGATED_PERFORMER
	ClassName		: heterogeneousAggregatedPerformer
	SetParentClassId	: HETEROGENEOUS_AGGREGATED_RESOURCE

	AddVariableDescriptor	: Power   ---
}
Entity HeterogeneousLaborTeam {
	ClassSymbol		: HETEROGENEOUS_LABOR_TEAM
	ClassName		: heterogeneousLaborTeam
	SetParentClassId	: HETEROGENEOUS_AGGREGATED_RESOURCE

	AddVariableDescriptor	: Power   ---
}
Entity SingleResource {
	ClassSymbol		: SINGLE_RESOURCE
	ClassName		: singleResource
	SetParentClassId	: RESOURCE

	AddConstantDescriptor	: TimeAvailabilityAttribute   ---
	AddConstantDescriptor	: StateAvailabilityAttribute   ---
	AddConstantDescriptor	: AvailabilityTimetableAttribute   ---
}
Entity SingleDiscreteStateResource {
	ClassSymbol		: SINGLE_DISCRETE_STATE_RESOURCE
	ClassName		: singleDiscreteStateResource
	SetParentClassId	: SINGLE_RESOURCE
}
Entity SingleDiscreteStateReusableResource {
	ClassSymbol		: SINGLE_DISCRETE_STATE_REUSABLE_RESOURCE
	ClassName		: singleDiscreteStateReusableResource
	SetParentClassId	: SINGLE_DISCRETE_STATE_RESOURCE
}
Entity SingleDiscreteStateConsumableResource {
	ClassSymbol		: SINGLE_DISCRETE_STATE_CONSUMABLE_RESOURCE
	ClassName		: singleDiscreteStateConsumableResource
	SetParentClassId	: SINGLE_DISCRETE_STATE_RESOURCE
}
Entity SingleCapacitatedResource {
	ClassSymbol		: SINGLE_CAPACITATED_RESOURCE
	ClassName		: singleCapacitatedResource
	SetParentClassId	: SINGLE_RESOURCE

	AddConstantDescriptor	: CapacityAvailabilityAttribute   ---
}
Entity SingleCapacitatedReusableResource {
	ClassSymbol		: SINGLE_CAPACITATED_REUSABLE_RESOURCE
	ClassName		: singleCapacitatedReusableResource
	SetParentClassId	: SINGLE_CAPACITATED_RESOURCE
}
Entity SingleCapacitatedConsumableResource {
	ClassSymbol		: SINGLE_CAPACITATED_CONSUMABLE_RESOURCE
	ClassName		: singleCapacitatedConsumableResource
	SetParentClassId	: SINGLE_CAPACITATED_RESOURCE
}
Entity SinglePerformer {
	ClassSymbol		: SINGLE_PERFORMER
	ClassName		: singlePerformer
	SetParentClassId	: SINGLE_DISCRETE_STATE_REUSABLE_RESOURCE

	AddVariableDescriptor	: Power   ---
}
Entity SingleWorker {
	ClassSymbol		: SINGLE_WORKER
	ClassName		: singleWorker
	SetParentClassId	: SINGLE_PERFORMER
}
Entity SingleTool {
	ClassSymbol		: SINGLE_TOOL
	ClassName		: singleTool
	SetParentClassId	: SINGLE_DISCRETE_STATE_REUSABLE_RESOURCE
}
Entity SingleStock {
	ClassSymbol		: SINGLE_STOCK
	ClassName		: singleStock
	SetParentClassId	: SINGLE_CAPACITATED_REUSABLE_RESOURCE
}
Entity MultipleResourceCapacity {
	ClassSymbol		: MULTIPLE_RESOURCE_CAPACITY
	ClassName		: multipleResourceCapacity
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescribedResource   ---
}
Entity ResourceCapacity {
	ClassSymbol		: RESOURCE_CAPACITY
	ClassName		: resourceCapacity
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescriptorIdAttribute   ---
	AddConstantDescriptor	: DescriptorNameAttribute   ---
	AddConstantDescriptor	: DescribedResource   ---
}
Entity IntegerResourceCapacity {
	ClassSymbol		: INTEGER_RESOURCE_CAPACITY
	ClassName		: integerResourceCapacity
	SetParentClassId	: RESOURCE_CAPACITY

	AddVariableDescriptor	: AnonymousIntAttribute   ---
}
Entity FloatResourceCapacity {
	ClassSymbol		: FLOAT_RESOURCE_CAPACITY
	ClassName		: floatResourceCapacity
	SetParentClassId	: RESOURCE_CAPACITY

	AddVariableDescriptor	: AnonymousFloatAttribute   ---
}
Entity IntegerStockCapacity {
	ClassSymbol		: INTEGER_STOCK_CAPACITY
	ClassName		: integerStockCapacity
	SetParentClassId	: RESOURCE_CAPACITY

	AddConstantDescriptor	: IntUpperLevel   ---
	AddConstantDescriptor	: IntLowerLevel   ---

	AddVariableDescriptor	: IntCurrentLevel   ---
}
Entity FloatStockCapacity {
	ClassSymbol		: FLOAT_STOCK_CAPACITY
	ClassName		: floatStockCapacity
	SetParentClassId	: RESOURCE_CAPACITY

	AddConstantDescriptor	: FloatUpperLevel   ---
	AddConstantDescriptor	: FloatLowerLevel   ---

	AddVariableDescriptor	: FloatCurrentLevel   ---
}
Entity AvailabilityConstraint {
	ClassSymbol		: AVAILABILITY_CONSTRAINT
	ClassName		: availabilityConstraint
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescribedResource   ---
}
Entity TimeAvailabilityConstraint {
	ClassSymbol		: TIME_AVAILABILITY_CONSTRAINT
	ClassName		: timeAvailabilityConstraint
	SetParentClassId	: AVAILABILITY_CONSTRAINT

	AddConstantDescriptor	: TimeDomainAttribute   ---
}
Entity StateAvailabilityConstraint {
	ClassSymbol		: STATE_AVAILABILITY_CONSTRAINT
	ClassName		: stateAvailabilityConstraint
	SetParentClassId	: AVAILABILITY_CONSTRAINT

	AddConstantDescriptor	: StateDomain   ---

	AddMethod		: StateRelatedPredicate
}
Entity CapacityAvailabilityConstraint {
	ClassSymbol		: CAPACITY_AVAILABILITY_CONSTRAINT
	ClassName		: capacityAvailabilityConstraint
	SetParentClassId	: AVAILABILITY_CONSTRAINT

	AddMethod		: CapacityOfferDemandComparison
}
Entity StandardCapacityAvailabilityConstraint {
	ClassSymbol		: STANDARD_CAPACITY_AVAILABILITY_CONSTRAINT
	ClassName		: standardCapacityAvailabilityConstraint
	SetParentClassId	: CAPACITY_AVAILABILITY_CONSTRAINT
}
Entity AvailabilityTimeSlot {
	ClassSymbol		: AVAILABILITY_TIME_SLOT
	ClassName		: availabilityTimeSlot
	SetParentClassId	: BD_ENTITY

	AddVariableDescriptor	: BegDate   ---
	AddVariableDescriptor	: EndDate   ---

	AddMethod		: OpeningPredicate
	AddMethod		: ClosingPredicate
	AddMethod		: SetThisTimeSlotBegValue
	AddMethod		: SetThisTimeSlotEndValue
	AddMethod		: SetNextTimeSlotBegValue
}
Entity RecurrentAvailabilityTimetable {
	ClassSymbol		: RECURRENT_AVAILABILITY_TIMETABLE
	ClassName		: recurrentAvailabilityTimetable
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescribedResource   ---
	AddConstantDescriptor	: AvailabilityMode   ---
}
Entity InconsistencyCondition {
	ClassSymbol		: INCONSISTENCY_CONDITION
	ClassName		: inconsistencyCondition
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: OccurrenceCrossDomainAttribute   ---

	AddVariableDescriptor	: ConstrainedEntityClassId   ---

	AddMethod		: HoldingCondition
}
Entity ResourceSharingViolationCondition {
	ClassSymbol		: RESOURCE_SHARING_VIOLATION_CONDITION
	ClassName		: resourceSharingViolationCondition
	SetParentClassId	: INCONSISTENCY_CONDITION
}
Entity ActivityInconsistencyCondition {
	ClassSymbol		: ACTIVITY_INCONSISTENCY_CONDITION
	ClassName		: activityInconsistencyCondition
	SetParentClassId	: INCONSISTENCY_CONDITION
}
Entity ActivitiesResourcesInconsistentCommitment {
	ClassSymbol		: ACTIVITIES_RESOURCES_INCONSISTENT_COMMITMENT
	ClassName		: activitiesResourcesInconsistentCommitment
	SetParentClassId	: BD_ENTITY

	AddMethod		: HoldingCondition
}
Entity OccurrenceDomain {
	ClassSymbol		: OCCURRENCE_DOMAIN
	ClassName		: occurrenceDomain
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: EntityIdAttribute   ---
	AddConstantDescriptor	: BinaryOperatorId   ---
	AddConstantDescriptor	: AcceptabilityThreshold   ---
}
Entity OccurrenceCrossDomain {
	ClassSymbol		: OCCURRENCE_CROSS_DOMAIN
	ClassName		: occurrenceCrossDomain
	SetParentClassId	: BD_ENTITY
}
Entity Population {
	ClassSymbol		: POPULATION
	ClassName		: population
	SetParentClassId	: BD_ENTITY
}
Entity System {
	ClassSymbol		: SYSTEM
	ClassName		: system
	SetParentClassId	: BD_ENTITY
}
Entity Manager {
	ClassSymbol		: MANAGER
	ClassName		: manager
	SetParentClassId	: SYSTEM

	AddVariableDescriptor	: MemoryScope   ---
	AddVariableDescriptor	: PredictionScope   ---

	AddMethod		: BestActivitySetSelector
	AddMethod		: CandidateActivitySetSortMethod
}
Entity OperatingSystem {
	ClassSymbol		: OPERATING_SYSTEM
	ClassName		: operatingSystem
	SetParentClassId	: SYSTEM

	AddConstantDescriptor	: ResourceConstraintList   ---
}
Entity ControlledSystem {
	ClassSymbol		: CONTROLLED_SYSTEM
	ClassName		: controlledSystem
	SetParentClassId	: SYSTEM

	AddConstantDescriptor	: AttachedEntity   ---
}
Entity ProductionSystem {
	ClassSymbol		: PRODUCTION_SYSTEM
	ClassName		: productionSystem
	SetParentClassId	: SYSTEM
}
Entity Strategy {
	ClassSymbol		: STRATEGY
	ClassName		: strategy
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: TargetWeight   ---
	AddConstantDescriptor	: AntiTargetWeight   ---
	AddConstantDescriptor	: ActivitySetDefaultUtility   ---
	AddConstantDescriptor	: ActivitySetSatisfactionThreshold   ---
}
Entity ActivitiesResourcesBlockSet {
	ClassSymbol		: ACTIVITIES_RESOURCES_BLOCK_SET
	ClassName		: activitiesResourcesBlockSet
	SetParentClassId	: BD_ENTITY
}
Entity ActivitiesResourcesBlock {
	ClassSymbol		: ACTIVITIES_RESOURCES_BLOCK
	ClassName		: activitiesResourcesBlock
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: AttachedEntity   ---

	AddMethod		: LocalBestActivitySetSelector
	AddMethod		: LocalCandidateActivitySetSortMethod
}
Entity Goal {
	ClassSymbol		: GOAL
	ClassName		: goal
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescriptorIdAttribute   ---
	AddConstantDescriptor	: DescriptorNameAttribute   ---
	AddConstantDescriptor	: ObjectEntitySpecAttribute   ---
	AddConstantDescriptor	: TimeDomainAttribute   ---
	AddConstantDescriptor	: ActivityListAttribute   ---
	AddConstantDescriptor	: CriterionAttribute   ---

	AddVariableDescriptor	: WeightAttribute   ---
	AddVariableDescriptor	: ActivityActionMode   ---
}
Entity IntGoal {
	ClassSymbol		: INT_GOAL
	ClassName		: intGoal
	SetParentClassId	: GOAL

	AddConstantDescriptor	: IntInfSupport   ---
	AddConstantDescriptor	: IntInfCore   ---
	AddConstantDescriptor	: IntSupCore   ---
	AddConstantDescriptor	: IntSupSupport   ---

	AddMethod		: IntFutureValueByActivity
	AddMethod		: IntFutureValueByActivityList
}
Entity FloatGoal {
	ClassSymbol		: FLOAT_GOAL
	ClassName		: floatGoal
	SetParentClassId	: GOAL

	AddConstantDescriptor	: FloatInfSupport   ---
	AddConstantDescriptor	: FloatSupSupport   ---
	AddConstantDescriptor	: FloatInfCore   ---
	AddConstantDescriptor	: FloatSupCore   ---

	AddMethod		: FloatFutureValueByActivity
	AddMethod		: FloatFutureValueByActivityList
}
Entity IntTarget {
	ClassSymbol		: INT_TARGET
	ClassName		: intTarget
	SetParentClassId	: INT_GOAL
}
Entity FloatTarget {
	ClassSymbol		: FLOAT_TARGET
	ClassName		: floatTarget
	SetParentClassId	: FLOAT_GOAL
}
Entity IntAntiTarget {
	ClassSymbol		: INT_ANTI_TARGET
	ClassName		: intAntiTarget
	SetParentClassId	: INT_GOAL
}
Entity FloatAntiTarget {
	ClassSymbol		: FLOAT_ANTI_TARGET
	ClassName		: floatAntiTarget
	SetParentClassId	: FLOAT_GOAL
}
Entity Criterion {
	ClassSymbol		: CRITERION
	ClassName		: criterion
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: DescriptorIdAttribute   ---
	AddConstantDescriptor	: DescriptorNameAttribute   ---

	AddVariableDescriptor	: WeightAttribute   ---

	AddMethod		: GetCriterionValue
}
Entity CriterionSet {
	ClassSymbol		: CRITERION_SET
	ClassName		: criterionSet
	SetParentClassId	: BD_DESCRIPTED_ENTITY

	AddConstantDescriptor	: CriterionSetSubNodes   ---

	AddVariableDescriptor	: WeightAttribute   ---
}
Entity GoalCriterion {
	ClassSymbol		: GOAL_CRITERION
	ClassName		: goalCriterion
	SetParentClassId	: CRITERION

	AddConstantDescriptor	: GoalAttribute   ---
}
Entity UtilityCriterion {
	ClassSymbol		: UTILITY_CRITERION
	ClassName		: utilityCriterion
	SetParentClassId	: GOAL_CRITERION
}
Entity TargetUtilityCriterion {
	ClassSymbol		: TARGET_UTILITY_CRITERION
	ClassName		: targetUtilityCriterion
	SetParentClassId	: UTILITY_CRITERION
}
Entity AntiTargetUtilityCriterion {
	ClassSymbol		: ANTI_TARGET_UTILITY_CRITERION
	ClassName		: antiTargetUtilityCriterion
	SetParentClassId	: UTILITY_CRITERION
}
Entity GlobalTargetCriterion {
	ClassSymbol		: GLOBAL_TARGET_CRITERION
	ClassName		: globalTargetCriterion
	SetParentClassId	: CRITERION
}
Entity GlobalAntiTargetCriterion {
	ClassSymbol		: GLOBAL_ANTI_TARGET_CRITERION
	ClassName		: globalAntiTargetCriterion
	SetParentClassId	: CRITERION
}
Entity InterfaceDataItem {
	ClassSymbol		: INTERFACE_DATA_ITEM
	ClassName		: interfaceDataItem
	SetParentClassId	: BD_ENTITY

	AddConstantDescriptor	: TypeAttribute   ---
	AddConstantDescriptor	: EntityNameAttribute   ---
	AddConstantDescriptor	: EntityIdAttribute   ---
	AddConstantDescriptor	: DescriptorNameAttribute   ---
	AddConstantDescriptor	: DescriptorIdAttribute   ---
	AddConstantDescriptor	: DateISOAttribute   ---
	AddConstantDescriptor	: AddValueMode   ---
}